<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:types="http://emcs.dgtaxud.ec/webservice/types/xop" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:ws="http://emcs.dgtaxud.ec/webservice/xop" xmlns:conv="http://www.openuri.org/2002/04/soap/conversation/" targetNamespace="http://emcs.dgtaxud.ec/webservice/xop" name="RetrieveOrExtractEntityXopServiceDef">

	<wsdl:types>
		<xsd:schema elementFormDefault="qualified" targetNamespace="http://emcs.dgtaxud.ec/webservice/types/xop" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:xsd="http://www.w3.org/2001/XMLSchema">

			<xsd:element name="startRetrievalOrExtract">
				<xsd:complexType>
					<xsd:sequence>
						<!-- expectedContentTypes: application/xml, application/zip, application/x-gzip -->
						<xsd:element name="Data" type="xsd:base64Binary" xmime:expectedContentTypes="application/octet-stream"/>
					</xsd:sequence>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="startRetrievalOrExtractResponse">
				<xsd:complexType>
					<xsd:sequence/>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="getRetrievalOrExtract">
				<xsd:complexType>
					<xsd:sequence/>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="getRetrievalOrExtractResponse">
				<xsd:complexType>
					<xsd:sequence>
						<xsd:element name="ActionSucceeded" type="xsd:boolean"/>
						<xsd:element name="ActionResult" minOccurs="0">
							<xsd:simpleType>
								<xsd:restriction base="xsd:token">
									<xsd:enumeration value="Success"/>
									<xsd:enumeration value="Error"/>
								</xsd:restriction>
							</xsd:simpleType>
						</xsd:element>
						<!-- expectedContentTypes: application/xml, application/zip, application/x-gzip -->
						<xsd:element name="Data" minOccurs="0" type="xsd:base64Binary" xmime:expectedContentTypes="application/octet-stream"/>
					</xsd:sequence>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="stopRetrievalOrExtract">
				<xsd:complexType>
					<xsd:sequence/>
				</xsd:complexType>
			</xsd:element>
			<xsd:element name="stopRetrievalOrExtractResponse">
				<xsd:complexType>
					<xsd:sequence/>
				</xsd:complexType>
			</xsd:element>
		</xsd:schema>
		<xsd:schema elementFormDefault="qualified" targetNamespace="http://www.openuri.org/2002/04/soap/conversation/">
			<xsd:element name="StartHeader" type="conv:StartHeader"/>
			<xsd:element name="ContinueHeader" type="conv:ContinueHeader"/>
			<xsd:element name="CallbackHeader" type="conv:CallbackHeader"/>
			<xsd:complexType name="StartHeader">
				<xsd:sequence>
					<xsd:element name="conversationID" type="xsd:token" minOccurs="0"/>
					<xsd:element name="callbackLocation" type="xsd:token" minOccurs="0"/>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="ContinueHeader">
				<xsd:sequence>
					<xsd:element name="conversationID" type="xsd:token"/>
				</xsd:sequence>
			</xsd:complexType>
			<xsd:complexType name="CallbackHeader">
				<xsd:sequence>
					<xsd:element name="conversationID" type="xsd:token"/>
				</xsd:sequence>
			</xsd:complexType>
		</xsd:schema>
	</wsdl:types>
	<wsdl:message name="StartHeader_literal">
		<wsdl:part name="StartHeader" element="conv:StartHeader"/>
	</wsdl:message>
	<wsdl:message name="ContinueHeader_literal">
		<wsdl:part name="ContinueHeader" element="conv:ContinueHeader"/>
	</wsdl:message>
	<wsdl:message name="startRetrievalOrExtractSoapIn">
		<wsdl:part name="startRetrievalOrExtractParameters" element="types:startRetrievalOrExtract"/>
	</wsdl:message>
	<wsdl:message name="startRetrievalOrExtractSoapOut">
		<wsdl:part name="startRetrievalOrExtractResponseParameters" element="types:startRetrievalOrExtractResponse"/>
	</wsdl:message>
	<wsdl:message name="getRetrievalOrExtractSoapIn">
		<wsdl:part name="getRetrievalOrExtractParameters" element="types:getRetrievalOrExtract"/>
	</wsdl:message>
	<wsdl:message name="getRetrievalOrExtractSoapOut">
		<wsdl:part name="getRetrievalOrExtractResponseParameters" element="types:getRetrievalOrExtractResponse"/>
	</wsdl:message>
	<wsdl:message name="stopRetrievalOrExtractSoapIn">
		<wsdl:part name="stopRetrievalOrExtractParameters" element="types:stopRetrievalOrExtract"/>
	</wsdl:message>
	<wsdl:message name="stopRetrievalOrExtractSoapOut">
		<wsdl:part name="stopRetrievalOrExtractResponseParameters" element="types:stopRetrievalOrExtractResponse"/>
	</wsdl:message>
	<wsdl:portType name="RetrieveOrExtractEntityXopSoap">
		<wsdl:operation name="startRetrievalOrExtract">
			<wsdl:input message="ws:startRetrievalOrExtractSoapIn"/>
			<wsdl:output message="ws:startRetrievalOrExtractSoapOut"/>
		</wsdl:operation>
		<wsdl:operation name="getRetrievalOrExtract">
			<wsdl:input message="ws:getRetrievalOrExtractSoapIn"/>
			<wsdl:output message="ws:getRetrievalOrExtractSoapOut"/>
		</wsdl:operation>
		<wsdl:operation name="stopRetrievalOrExtract">
			<wsdl:input message="ws:stopRetrievalOrExtractSoapIn"/>
			<wsdl:output message="ws:stopRetrievalOrExtractSoapOut"/>
		</wsdl:operation>
	</wsdl:portType>
	<wsdl:binding name="RetrieveOrExtractEntityXopSoap" type="ws:RetrieveOrExtractEntityXopSoap">
		<soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
		<wsdl:operation name="startRetrievalOrExtract">
			<soap:operation soapAction="http://emcs.dgtaxud.ec/xop/startRetrievalOrExtract"/>
			<conv:transition phase="start"/>
			<wsdl:input>
				<soap:body use="literal"/>
				<soap:header message="ws:StartHeader_literal" part="StartHeader" use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="getRetrievalOrExtract">
			<soap:operation soapAction="http://emcs.dgtaxud.ec/xop/getRetrievalOrExtract"/>
			<conv:transition phase="continue"/>
			<wsdl:input>
				<soap:body use="literal"/>
				<soap:header message="ws:ContinueHeader_literal" part="ContinueHeader" use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
		<wsdl:operation name="stopRetrievalOrExtract">
			<soap:operation soapAction="http://emcs.dgtaxud.ec/xop/stopRetrievalOrExtract" style="document"/>
			<conv:transition phase="finish"/>
			<wsdl:input>
				<soap:body use="literal"/>
				<soap:header message="ws:ContinueHeader_literal" part="ContinueHeader" use="literal"/>
			</wsdl:input>
			<wsdl:output>
				<soap:body use="literal"/>
			</wsdl:output>
		</wsdl:operation>
	</wsdl:binding>
	<wsdl:service name="RetrieveOrExtractEntityXop">
		<wsdl:documentation>Asynchronous web service for requesting exports using MTOM/XOP.</wsdl:documentation>
		<wsdl:port name="RetrieveOrExtractEntityXopSoap" binding="ws:RetrieveOrExtractEntityXopSoap">
			<soap:address location="https://seed.dgtaxud.ec:8443/SEEDv1WS/entity/RetrieveOrExtractEntityXop.jws"/>
		</wsdl:port>
	</wsdl:service>
	<!-- RetrieveOrExtractEntity Message Transmission Optimization Mechanism (MTOM) version -->
</wsdl:definitions>
